#ifndef PushButton_h
#define PushButton_h
/*
   (c)2014-2017 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/

#include <pfodParser.h>
class PushButton {
  public:
    PushButton(char _cmd, pfodDwgs *_dwgsPtr);
    void draw();
    void update();
    void setBase(int c, int r, float _scaling);
    char getCmd();
    void setOnState(bool _state);
    bool isOn();

  private:
    pfodDwgs *dwgsPtr;
    char buttonCmd;
    bool onState;
    int baseCol;
    int baseRow;
    float baseScaling;
    int z_idx;
};
#endif // PushButton_h





